package com.gic.haoban.manage.web.vo.order.refund;

import java.io.Serializable;
import java.util.Date;

/**
 * 商城订单协商记录表
 * @TableName tab_gic_mall_order_refund_consult
 */
public class OrderRefundConsultVO implements Serializable {
    /**
    * @Fields serialVersionUID : TODO(用一句话描述这个变量表示什么)
    */
    private static final long serialVersionUID = 4924928859885431070L;

    /**
     * 协商记录id
     */
    private String orderRefundConsultId;

    /**
     * 退款记录id
     */
    private String orderRefundId;

    /**
     * 买家还是卖家：1买家，2卖家
     */
    private Integer role;

    /**
     * 卖家与买家操作记录信息
     */
    private String msg;

    /**
     * 退款原因
     */
    private String refundReason;

    /**
     * 退款类型：1，仅退款，2退货退款
     */
    private Integer refundType;

    /**
     * 退款金额(申请退款金额)
     */
    private Double refundPrice;

    /**
     * 退款说明
     */
    private String description;

    /**
     * 退款图片地址
     */
    private String imgUrl;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 退还积分
     */
    private Double refundPoint;

    /**
     * 消息类型:REFUND_TYPE退款类型,MSG_TYPE沟通信息类型
     */
    private String msgType;

    /**
     * 退款时发货类型：1：未发货类型，2：已发货类型
     */
    private Integer refundDeliverType;

    private String extJson ;

    public String getExtJson() {
        return extJson;
    }

    public void setExtJson(String extJson) {
        this.extJson = extJson;
    }

    /**
     * 协商记录id
     */
    public String getOrderRefundConsultId() {
        return orderRefundConsultId;
    }

    /**
     * 协商记录id
     */
    public void setOrderRefundConsultId(String orderRefundConsultId) {
        this.orderRefundConsultId = orderRefundConsultId;
    }

    /**
     * 退款记录id
     */
    public String getOrderRefundId() {
        return orderRefundId;
    }

    /**
     * 退款记录id
     */
    public void setOrderRefundId(String orderRefundId) {
        this.orderRefundId = orderRefundId;
    }

    /**
     * 买家还是卖家：1买家，2卖家
     */
    public Integer getRole() {
        return role;
    }

    /**
     * 买家还是卖家：1买家，2卖家
     */
    public void setRole(Integer role) {
        this.role = role;
    }

    /**
     * 卖家与买家操作记录信息
     */
    public String getMsg() {
        return msg;
    }

    /**
     * 卖家与买家操作记录信息
     */
    public void setMsg(String msg) {
        this.msg = msg;
    }

    /**
     * 退款原因
     */
    public String getRefundReason() {
        return refundReason;
    }

    /**
     * 退款原因
     */
    public void setRefundReason(String refundReason) {
        this.refundReason = refundReason;
    }

    /**
     * 退款类型：1，仅退款，2退货退款
     */
    public Integer getRefundType() {
        return refundType;
    }

    /**
     * 退款类型：1，仅退款，2退货退款
     */
    public void setRefundType(Integer refundType) {
        this.refundType = refundType;
    }

    /**
     * 退款金额(申请退款金额)
     */
    public Double getRefundPrice() {
        return refundPrice;
    }

    /**
     * 退款金额(申请退款金额)
     */
    public void setRefundPrice(Double refundPrice) {
        this.refundPrice = refundPrice;
    }

    /**
     * 退款说明
     */
    public String getDescription() {
        return description;
    }

    /**
     * 退款说明
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * 退款图片地址
     */
    public String getImgUrl() {
        return imgUrl;
    }

    /**
     * 退款图片地址
     */
    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    /**
     * 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 更新时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 更新时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 退还积分
     */
    public Double getRefundPoint() {
        return refundPoint;
    }

    /**
     * 退还积分
     */
    public void setRefundPoint(Double refundPoint) {
        this.refundPoint = refundPoint;
    }

    /**
     * 消息类型:REFUND_TYPE退款类型,MSG_TYPE沟通信息类型
     */
    public String getMsgType() {
        return msgType;
    }

    /**
     * 消息类型:REFUND_TYPE退款类型,MSG_TYPE沟通信息类型
     */
    public void setMsgType(String msgType) {
        this.msgType = msgType;
    }

    /**
     * 退款时发货类型：1：未发货类型，2：已发货类型
     */
    public Integer getRefundDeliverType() {
        return refundDeliverType;
    }

    /**
     * 退款时发货类型：1：未发货类型，2：已发货类型
     */
    public void setRefundDeliverType(Integer refundDeliverType) {
        this.refundDeliverType = refundDeliverType;
    }
}